<?php
/*
Plugin Name: WP-dp.SyntaxHighlighter
Plugin URI: http://blog.rubypdf.com/wp-download/wpdpsyntaxhighlighter.zip
Description:The WP-dp.SyntaxHighlighter module highlights code in many different formats:C#,CSS,C++,VB & VB.NET,Delphi, Pascal,Java,JavaScript,PHP,Python,Ruby,SQL,XML, HTML, XSLT and any other XML style code. Bases on <a href="http://www.dreamprojections.com/SyntaxHighlighter/" target="_blank"> dp.SyntaxHighlighter 1.40</a>
Version: 0.1
Author: Steven Lee
Author URI: http://blog.rubypdf.com/
*/

function SyntaxHighlighterJs(){
$script_path=get_settings('siteurl')."/wp-content/plugins/wp-dp-syntaxhighlighter/Scripts/";
$style_path=get_settings('siteurl')."/wp-content/plugins/wp-dp-syntaxhighlighter/Styles/";


echo '
<!-- for dp.SyntaxHighlighter -->
<link type="text/css" rel="stylesheet" href="'.$style_path.'SyntaxHighlighter.css"></link> 
<script class="javascript" src="'.$script_path.'shCore.js"></script>
<script class="javascript" src="'.$script_path.'shBrushCSharp.js"></script>
<script class="javascript" src="'.$script_path.'shBrushPhp.js"></script>
<script class="javascript" src="'.$script_path.'shBrushJScript.js"></script>
<script class="javascript" src="'.$script_path.'shBrushJava.js"></script>
<script class="javascript" src="'.$script_path.'shBrushVb.js"></script>
<script class="javascript" src="'.$script_path.'shBrushSql.js"></script>

<script class="javascript" src="'.$script_path.'shBrushXml.js"></script>
<script class="javascript" src="'.$script_path.'shBrushDelphi.js"></script>
<script class="javascript" src="'.$script_path.'shBrushPython.js"></script>
<script class="javascript" src="'.$script_path.'shBrushRuby.js"></script>
<script class="javascript" src="'.$script_path.'shBrushCss.js"></script>
<!-- for dp.SyntaxHighlighter end -->
';
}
function SyntaxHighlighter(){
echo '
<script class="javascript">dp.SyntaxHighlighter.HighlightAll(\'code\');</script>
';
}
add_action('wp_head', 'SyntaxHighlighterJs');

add_action('wp_footer', 'SyntaxHighlighter');
?>
    
